#version 450
#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 vPos;

layout(location = 0) out vec3 skyboxUV;

layout(std140, binding = 0) uniform Data
{
    mat4 viewProj;
} data;

void main()
{
    skyboxUV = vPos;

    vec4 pos = data.viewProj * vec4(vPos, 1.0);

    gl_Position = pos.xyww;
}